getOrder

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Request Parameters

ParameterRequiredTypeDescription
clientIDyesstringTransactAPI Client ID
developerAPIKeyyesstringTransactAPI Developer Key
orderidyesstringOrder ID
tokennostringValue for identifying the responses

Sample Request

curl -k -X POST https://api-sandboxdash.norcapsecurities.com/tapiv3/index.php/v3/getOrder
-d clientID=someclientid
-d developerAPIKey=somedeveloperkey
-d orderid=232242322

Response Parameters

ParameterTypeDescription
statusCodestringAPI Status Code
statusDescstringAPI Status Description
orderDetailsstringArray of order includes all information of the matched order

Sample Response

Unexecuted Order:
---------------------------------------
{
      "statusCode":"101",
      "statusDesc":"Ok",
      "orderDetails":"[
           {
                 "memberID":"A93601",
                 "accountID":null,
                 "security_id":73591,
                 "security_name":"Instacart",
                 "order_Id":495138670,
                 "order_type":"Offer",
                 "number_shares":18,
                 "shares_remaining":18,
                 "price_per_share":10,
                 "total_amount":180,
                 "PND":"N",
                 "Contingencies ":"None ",
				 "MinimumThreshold ":0,
				 "Solicited ":"Yes ",
                 "status":"Live",
                 "createdDate":"2021-03-04T11:24:59.000Z",
                 "updateDate":"0000-00-0000:00:00",
                 "createdIPAddress":"103.114.208.58"
				 "mathcedOrders":[{}]
             }]"
}

Partially Executed or Executed Order:
---------------------------------------
{
	"statusCode": "101",
	"statusDesc": "Ok",
	"orderDetails": [{
		"memberID": "A06467",
		"accountID": null,
		"security_id": 16305,
		"security_name": "internal_tester",
		"order_Id": 846527031,
		"order_type": "Bid",
		"number_shares": 10,
		"shares_remaining": 0,
		"price_per_share": 6,
		"total_amount": 60,
		"PND": "N",
		"Contingencies ":"None",
		"MinimumThreshold ":0,
		"Solicited ":"Yes",
		"status": "Executed",
		"createdDate": "2021-05-21T12:44:50.000Z",
		"updateDate": "2021-05-21T12:55:18.000Z",
		"createdIPAddress": "157.49.204.88",
		"mathcedOrders":[{
		"matchid":792678600,
		"executedPrice":55,
		"executedQuantity":55,
		"executedTotal Commitment":3025,
		"createdDate":"2021-05-31T12:54:28.000Z",
		"updateDate":"0000-00-00 00:00:00",
		"createdIPAddress":"157.51.173.255"
		},{
		"matchid":345678600,
		"executedPrice":55,
		"executedQuantity":55,
		"executedTotal Commitment":3025,
		"createdDate":"2021-05-31T12:54:28.000Z",
		"updateDate":"0000-00-00 00:00:00",
		"createdIPAddress":"157.51.173.255"
		}]
	}]
}
Order with token:
---------------------------------------
{
      "statusCode":"101",
      "statusDesc":"Ok",
      "orderDetails":"[
           {
                 "token": "123",
                 "memberID":"A93601",
                 "accountID":null,
                 "security_id":73591,
                 "security_name":"Instacart",
                 "order_Id":495138670,
                 "order_type":"Offer",
                 "number_shares":18,
                 "shares_remaining":18,
                 "price_per_share":10,
                 "total_amount":180,
                 "PND":"N",
                 "Contingencies ":"None ",
				 "MinimumThreshold ":0,
				 "Solicited ":"Yes ",
                 "status":"Live",
                 "createdDate":"2021-03-04T11:24:59.000Z",
                 "updateDate":"0000-00-0000:00:00",
                 "createdIPAddress":"103.114.208.58"
				 "mathcedOrders":[{}]
             }]"
}

Test it Yourself!

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!